## gallery-app 0.0.67%2B16.04.20160323.1

=== desktop/CMakeLists.txt ===
if(CLICK_MODE)
    install(FILES gallery-app.png DESTINATION
        ${CMAKE_INSTALL_DATADIR}/icons)
	set(ICON "${CMAKE_INSTALL_DATADIR}/icons/${GALLERY}.png")
	set(APP_EXEC "./${GALLERY}")
else(CLICK_MODE)
    install(DIRECTORY icons/hicolor DESTINATION DESTINATION
            ${CMAKE_INSTALL_DATADIR}/icons FILES_MATCHING PATTERN *.png)
	set(APP_EXEC "${GALLERY}")
	set(ICON "${GALLERY}")
endif(CLICK_MODE)

set(GALLERY_URL_DISPATCHER gallery-app.url-dispatcher)

configure_file(${DESKTOP_FILE}.in.in ${DESKTOP_FILE}.in @ONLY)
add_custom_target(${DESKTOP_FILE} ALL
                  COMMENT "Merging translations into ${DESKTOP_FILE}"
                  COMMAND ${INTLTOOL_MERGE} -d -u ${CMAKE_SOURCE_DIR}/po
                          ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in ${DESKTOP_FILE})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
        DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)

install(FILES ${GALLERY_URL_DISPATCHER}
    DESTINATION ${CMAKE_INSTALL_DATADIR}/url-dispatcher/urls
    )

=== po/CMakeLists.txt ===
project(gallery-translations)

include(FindGettext)
find_program(GETTEXT_XGETTEXT_EXECUTABLE xgettext)

set(DESKTOP_FILE_IN_IN desktop/${DESKTOP_FILE}.in.in)
set(DESKTOP_FILE_IN_IN_H ${DESKTOP_FILE_IN_IN}.h)

file(GLOB_RECURSE I18N_SRC_FILES
     RELATIVE ${CMAKE_SOURCE_DIR}
     ${CMAKE_SOURCE_DIR}/rc/**.qml)
list(SORT I18N_SRC_FILES)

set(DOMAIN ${GETTEXT_PACKAGE})
set(POT_FILE ${DOMAIN}.pot)
file(GLOB PO_FILES *.po)

add_custom_target(${POT_FILE} ALL
                  COMMENT "Generating translation template"
                  COMMAND ${INTLTOOL_EXTRACT} --update --type=gettext/ini
                          --srcdir=${CMAKE_SOURCE_DIR} ${DESKTOP_FILE_IN_IN}
                  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
                          --from-code=UTF-8
                          --c++ --qt --add-comments=TRANSLATORS
                          --keyword=tr --keyword=tr:1,2 --keyword=N_
                          --package-name='${GALLERY}'
                          --copyright-holder='Canonical Ltd.'
                          -D ${CMAKE_SOURCE_DIR} ${I18N_SRC_FILES}
                          -D ${CMAKE_CURRENT_BINARY_DIR} ${DESKTOP_FILE_IN_IN_H})

foreach(PO_FILE ${PO_FILES})
    get_filename_component(LANG ${PO_FILE} NAME_WE)
    gettext_process_po_files(${LANG} ALL PO_FILES ${PO_FILE})
    set(INSTALL_DIR ${CMAKE_INSTALL_LOCALEDIR}/${LANG}/LC_MESSAGES)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${LANG}.gmo
            DESTINATION ${INSTALL_DIR}
            RENAME ${DOMAIN}.mo)
endforeach(PO_FILE)

## gallery-app 0.0.67%2b15.04.20150409

=== src/CMakeLists.txt ===
project(gallery_src)

add_subdirectory(util)
add_subdirectory(core)
add_subdirectory(album)
add_subdirectory(database)
add_subdirectory(event)
add_subdirectory(media)
add_subdirectory(photoeditor)
add_subdirectory(medialoader)
add_subdirectory(photo)
add_subdirectory(qml)
add_subdirectory(video)

configure_file(
    config.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/config.h
    @ONLY
    )

include_directories(
    ${gallery_util_src_SOURCE_DIR}
    ${gallery_core_src_SOURCE_DIR}
    ${gallery_database_src_SOURCE_DIR}
    ${gallery_media_src_SOURCE_DIR}
    ${gallery_medialoader_src_SOURCE_DIR}
    ${gallery_event_src_SOURCE_DIR}
    ${gallery_album_src_SOURCE_DIR}
    ${gallery_photo_src_SOURCE_DIR}
    ${gallery_photoeditor_src_SOURCE_DIR}
    ${gallery_video_src_SOURCE_DIR}
    ${gallery_qml_src_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    )

set(gallery_HDRS
    content-communicator.h
    gallery-application.h
    gallery-manager.h
    media-object-factory.h
    )

set(gallery_SRCS
    content-communicator.cpp
    gallery-application.cpp
    gallery-manager.cpp
    main.cpp
    media-object-factory.cpp
    )

add_executable(${GALLERY}
    ${gallery_SRCS}
    )

qt5_use_modules(${GALLERY} Widgets Core Qml Quick Sql DBus Gui)

target_link_libraries( ${GALLERY}
    gallery-album
    gallery-core
    gallery-database
    gallery-event
    gallery-media
    gallery-medialoader
    gallery-photo
    gallery-photoeditor
    gallery-qml
    gallery-util
    gallery-video
    ${CONTENTHUB_LIBRARIES}
    )

install(TARGETS ${GALLERY} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== src/photo/CMakeLists.txt ===
project(gallery_photo_src)

set(GALLERY_PHOTO_LIB gallery-photo)

include_directories(
    ${gallery_src_SOURCE_DIR}
    ${gallery_core_src_SOURCE_DIR}
    ${gallery_database_src_SOURCE_DIR}
    ${gallery_media_src_SOURCE_DIR}
    ${gallery_medialoader_src_SOURCE_DIR}
    ${gallery_photoeditor_src_SOURCE_DIR}
    ${gallery_util_src_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    )

set(gallery_photo_HDRS
    photo.h
    )

set(gallery_photo_SRCS
    photo.cpp
    )

add_library(${GALLERY_PHOTO_LIB}
    ${gallery_photo_SRCS}
    )

qt5_use_modules(${GALLERY_PHOTO_LIB} Widgets Core Quick)

=== src/photoeditor/CMakeLists.txt ===
project(gallery_photoeditor_src)

set(GALLERY_PHOTOEDITOR_LIB gallery-photoeditor)

include_directories(
    ${gallery_src_SOURCE_DIR}
    ${gallery_core_src_SOURCE_DIR}
    ${gallery_database_src_SOURCE_DIR}
    ${gallery_media_src_SOURCE_DIR}
    ${gallery_medialoader_src_SOURCE_DIR}
    ${gallery_util_src_SOURCE_DIR}
    ${EXIV2_INCLUDEDIR}
    ${CMAKE_BINARY_DIR}
    )

set(gallery_photoeditor_HDRS
    file-utils.h
    imaging.h
    orientation.h
    photo-caches.h
    photo-data.h
    photo-edit-command.h
    photo-edit-thread.h
    photo-image-provider.h
    photo-metadata.h
    )

set(gallery_photoeditor_SRCS
    file-utils.cpp
    imaging.cpp
    orientation.cpp
    photo-caches.cpp
    photo-data.cpp
    photo-edit-thread.cpp
    photo-image-provider.cpp
    photo-metadata.cpp
    )

add_library(${GALLERY_PHOTOEDITOR_LIB}
    ${gallery_photoeditor_SRCS}
    )

qt5_use_modules(${GALLERY_PHOTOEDITOR_LIB} Core Qml Quick Xml Widgets)

target_link_libraries( ${GALLERY_PHOTOEDITOR_LIB}
    ${EXIV2_LIBRARIES}
    )

=== tests/unittests/CMakeLists.txt ===
add_subdirectory(command-line-parser)
add_subdirectory(imaging)
add_subdirectory(mediamonitor)
add_subdirectory(mediaobjectfactory)
add_subdirectory(resource)
add_subdirectory(video)

=== tests/unittests/mediaobjectfactory/CMakeLists.txt ===
add_definitions(-DTEST_SUITE)

if(NOT CTEST_TESTING_TIMEOUT)
    set(CTEST_TESTING_TIMEOUT 60)
endif()

include_directories(
    ${CMAKE_BINARY_DIR}
    ${gallery_src_SOURCE_DIR}
    ${gallery_album_src_SOURCE_DIR}
    ${gallery_core_src_SOURCE_DIR}
    ${gallery_database_src_SOURCE_DIR}
    ${gallery_event_src_SOURCE_DIR}
    ${gallery_media_src_SOURCE_DIR}
    ${gallery_medialoader_src_SOURCE_DIR}
    ${gallery_photo_src_SOURCE_DIR}
    ${gallery_photoeditor_src_SOURCE_DIR}
    ${gallery_util_src_SOURCE_DIR}
    ${gallery_video_src_SOURCE_DIR}
    )

QT5_WRAP_CPP(MEDIAOBJECTFACTORY_MOCS
    ${gallery_src_SOURCE_DIR}/gallery-manager.h
    ${gallery_database_src_SOURCE_DIR}/album-table.h
    ${gallery_database_src_SOURCE_DIR}/database.h
    ${gallery_database_src_SOURCE_DIR}/media-table.h
    ${gallery_photoeditor_src_SOURCE_DIR}/photo-metadata.h
    ${gallery_medialoader_src_SOURCE_DIR}/video-metadata.h
    ${gallery_photo_src_SOURCE_DIR}/photo.h
    )

add_executable(mediaobjectfactory
    tst_mediaobjectfactory.cpp
    ${gallery_src_SOURCE_DIR}/media-object-factory.cpp
    ../stubs/album-table_stub.cpp
    ../stubs/database_stub.cpp
    ../stubs/media-table_stub.cpp
    ../stubs/photo_stub.cpp
    ../stubs/video_stub.cpp
    ../stubs/photometa-data_stub.cpp
    ../stubs/video-metadata_stub.cpp
    ../stubs/gallery-manager_stub.cpp
    ${MEDIAOBJECTFACTORY_MOCS}
    )

qt5_use_modules(mediaobjectfactory Widgets Core Quick Qml Test)
add_test(mediaobjectfactory mediaobjectfactory -xunitxml -o test_video.xml)
set_tests_properties(mediaobjectfactory PROPERTIES
    TIMEOUT ${CTEST_TESTING_TIMEOUT}
    ENVIRONMENT "QT_QPA_PLATFORM=minimal;TZ=Pacific/Auckland"
    )

target_link_libraries(mediaobjectfactory
    gallery-album
    gallery-core
    gallery-event
    gallery-media
    gallery-qml
    gallery-util
    gallery-video
    )

=== tests/unittests/video/CMakeLists.txt ===
add_definitions(-DTEST_SUITE)

if(NOT CTEST_TESTING_TIMEOUT)
    set(CTEST_TESTING_TIMEOUT 60)
endif()

configure_file(
    ${gallery_src_SOURCE_DIR}/config.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/config.h
    @ONLY)

include_directories(
    ${CMAKE_BINARY_DIR}
    ${gallery_src_SOURCE_DIR}
    ${gallery_album_src_SOURCE_DIR}
    ${gallery_core_src_SOURCE_DIR}
    ${gallery_database_src_SOURCE_DIR}
    ${gallery_event_src_SOURCE_DIR}
    ${gallery_media_src_SOURCE_DIR}
    ${gallery_medialoader_src_SOURCE_DIR}
    ${gallery_photo_src_SOURCE_DIR}
    ${gallery_photoeditor_src_SOURCE_DIR}
    ${gallery_qml_src_SOURCE_DIR}
    ${gallery_util_src_SOURCE_DIR}
    ${gallery_video_src_SOURCE_DIR}
    )

add_executable(video
    tst_video.cpp
    ${gallery_src_SOURCE_DIR}/gallery-manager.cpp
    ${gallery_src_SOURCE_DIR}/media-object-factory.cpp
    ${TST_VIDEO_MOCS}
    )

qt5_use_modules(video Widgets Core Qml Quick Test)
add_test(video video -xunitxml -o test_video.xml)
set_tests_properties(video PROPERTIES
    TIMEOUT ${CTEST_TESTING_TIMEOUT}
    ENVIRONMENT "QT_QPA_PLATFORM=minimal"
    )

target_link_libraries(video
    gallery-album
    gallery-core
    gallery-database
    gallery-event
    gallery-media
    gallery-medialoader
    gallery-photo
    gallery-photoeditor
    gallery-qml
    gallery-util
    gallery-video
    )

## gallery-app 0.0.67%2b15.10.20150923

=== tests/unittests/photo-metadata/CMakeLists.txt ===
add_definitions(-DTEST_SUITE)

if(NOT CTEST_TESTING_TIMEOUT)
    set(CTEST_TESTING_TIMEOUT 60)
endif()

include_directories(
    ${gallery_src_SOURCE_DIR}
    ${gallery_album_src_SOURCE_DIR}
    ${gallery_core_src_SOURCE_DIR}
    ${gallery_database_src_SOURCE_DIR}
    ${gallery_event_src_SOURCE_DIR}
    ${gallery_media_src_SOURCE_DIR}
    ${gallery_medialoader_src_SOURCE_DIR}
    ${gallery_photo_src_SOURCE_DIR}
    ${gallery_photoeditor_src_SOURCE_DIR}
    ${gallery_util_src_SOURCE_DIR}
    ${gallery_video_src_SOURCE_DIR}
    ${EXIV2_INCLUDEDIR}
    ${CMAKE_BINARY_DIR}
    )

QT5_WRAP_CPP(PHOTOMETADATA_MOCS
    ${gallery_src_SOURCE_DIR}/gallery-manager.h
    ${gallery_database_src_SOURCE_DIR}/album-table.h
    ${gallery_database_src_SOURCE_DIR}/database.h
    ${gallery_database_src_SOURCE_DIR}/media-table.h
    ${gallery_medialoader_src_SOURCE_DIR}/video-metadata.h
    ${gallery_photo_src_SOURCE_DIR}/photo.h
    )

add_definitions(-DSAMPLE_IMAGE_DIR="${CMAKE_CURRENT_SOURCE_DIR}/images")
add_executable(photo-metadata
    tst_photo-metadata.cpp
    ${gallery_photoeditor_src_SOURCE_DIR}/photo-metadata.cpp
    ../stubs/album-table_stub.cpp
    ../stubs/database_stub.cpp
    ../stubs/media-table_stub.cpp
    ../stubs/photo_stub.cpp
    ../stubs/video_stub.cpp
    ../stubs/video-metadata_stub.cpp
    ../stubs/gallery-manager_stub.cpp
    ${PHOTOMETADATA_MOCS}
    )

qt5_use_modules(photo-metadata Widgets Core Quick Qml Test)
add_test(photo-metadata photo-metadata -xunitxml -o test_video.xml)
set_tests_properties(photo-metadata PROPERTIES
    TIMEOUT ${CTEST_TESTING_TIMEOUT}
    ENVIRONMENT "QT_QPA_PLATFORM=minimal;TZ=Pacific/Auckland"
    )

target_link_libraries(photo-metadata
    gallery-album
    gallery-core
    gallery-media
    gallery-util
    gallery-video
    ${EXIV2_LIBRARIES}
    )

## gallery-app 0.0.67%2b16.10.20160921

=== CMakeLists.txt ===
project(gallery-app)
cmake_minimum_required(VERSION 2.8.9)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

string(TOLOWER "${CMAKE_BUILD_TYPE}" cmake_build_type_lower)

include(EnableCoverageReport)
#####################################################################
# Enable code coverage calculation with gcov/gcovr/lcov
# Usage:
#  * Switch build type to coverage (use ccmake or cmake-gui)
#  * Invoke make, make test, make coverage (or ninja if you use that backend)
#  * Find html report in subdir coveragereport
#  * Find xml report feasible for jenkins in coverage.xml
#####################################################################
if(cmake_build_type_lower MATCHES coverage)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage" )
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --coverage" )
    set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} --coverage" )
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} --coverage" )
    ENABLE_COVERAGE_REPORT(TARGETS ${SHELL_APP})
endif()

find_package(Qt5Core)
find_package(Qt5Gui)
find_package(Qt5Qml)
find_package(Qt5Quick)
find_package(Qt5Sql)
if(CMAKE_SYSTEM_PROCESSOR MATCHES "^arm")
    find_package(GLESv2)
else()
    find_package(OpenGL)
endif()

find_package(PkgConfig REQUIRED)
pkg_check_modules(EXIV2 REQUIRED exiv2)
pkg_check_modules(MEDIAINFO REQUIRED libmediainfo)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Werror")
set(CMAKE_EXE_LINKER_FLAGS "-s")

find_program(INTLTOOL_MERGE intltool-merge)
find_program(INTLTOOL_EXTRACT intltool-extract)

# Standard install paths
include(GNUInstallDirs)

option(INSTALL_TESTS "Install the tests on make install" off)
option(CLICK_MODE "Installs to a contained location" on)

set(GALLERY gallery-app)
set(DESKTOP_FILE ${GALLERY}.desktop)
set(AUTOPILOT_DIR gallery_app)
set(UBUNTU_MANIFEST_PATH "click/manifest.json.in" CACHE INTERNAL "Relative path to the manifest file")

# make non compiled files visible in qtcreator
file(GLOB_RECURSE NON_COMPILED_FILES *.qml *.js *.py *.svg *.png *.in *.json *.desktop *.pot *.apparmor qmldir)
add_custom_target(NON_COMPILED_TARGET ALL SOURCES ${NON_COMPILED_FILES})

if(CLICK_MODE)
    if(NOT DEFINED BZR_SOURCE)
        set(BZR_SOURCE "lp:gallery-app")
    endif(NOT DEFINED BZR_SOURCE)
    set(APP_PACKAGE_NAME "com.ubuntu.gallery")
    set(CMAKE_INSTALL_PREFIX /)
    set(CMAKE_INSTALL_BINDIR /)
    set(GALLERY_DIR "")
    add_definitions("-DCLICK_MODE=1")
else(CLICK_MODE)
    set(GALLERY_DIR ${CMAKE_INSTALL_DATADIR}/${GALLERY})
endif(CLICK_MODE)

# for dh_translations to extract the domain
# (regarding syntax consistency, see http://pad.lv/1181187)
set (GETTEXT_PACKAGE "${GALLERY}")

# Tests
enable_testing()

add_subdirectory(click)
add_subdirectory(desktop)
add_subdirectory(po)
add_subdirectory(rc)
add_subdirectory(src)
add_subdirectory(tests)

## gallery-app 0.0.67+13.10.20131011.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,6 @@
     ENABLE_COVERAGE_REPORT(TARGETS ${SHELL_APP})
 endif()
 
-find_package(Qt5Core)
 find_package(Qt5Gui)
 find_package(Qt5Qml)
 find_package(Qt5Quick)
@@ -39,46 +38,41 @@
 endif()
 
 find_package(PkgConfig REQUIRED)
+pkg_check_modules(CONTENTHUB REQUIRED libcontent-hub)
 pkg_check_modules(EXIV2 REQUIRED exiv2)
+pkg_check_modules(GSTLIB REQUIRED gstreamer-0.10)
 pkg_check_modules(MEDIAINFO REQUIRED libmediainfo)
 
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Werror")
-set(CMAKE_EXE_LINKER_FLAGS "-s")
-
-find_program(INTLTOOL_MERGE intltool-merge)
-find_program(INTLTOOL_EXTRACT intltool-extract)
 
 # Standard install paths
 include(GNUInstallDirs)
 
-option(INSTALL_TESTS "Install the tests on make install" off)
-option(CLICK_MODE "Installs to a contained location" on)
+option(INSTALL_TESTS "Install the tests on make install" on)
+option(CLICK_MODE "Installs to a contained location" off)
 
 set(GALLERY gallery-app)
 set(DESKTOP_FILE ${GALLERY}.desktop)
-set(AUTOPILOT_DIR gallery_app)
-set(UBUNTU_MANIFEST_PATH "click/manifest.json.in" CACHE INTERNAL "Relative path to the manifest file")
-
-# make non compiled files visible in qtcreator
-file(GLOB_RECURSE NON_COMPILED_FILES *.qml *.js *.py *.svg *.png *.in *.json *.desktop *.pot *.apparmor qmldir)
-add_custom_target(NON_COMPILED_TARGET ALL SOURCES ${NON_COMPILED_FILES})
 
 if(CLICK_MODE)
-    if(NOT DEFINED BZR_SOURCE)
-        set(BZR_SOURCE "lp:gallery-app")
-    endif(NOT DEFINED BZR_SOURCE)
     set(APP_PACKAGE_NAME "com.ubuntu.gallery")
     set(CMAKE_INSTALL_PREFIX /)
     set(CMAKE_INSTALL_BINDIR /)
     set(GALLERY_DIR "")
-    add_definitions("-DCLICK_MODE=1")
+    set(CLICK_TAG click)
 else(CLICK_MODE)
     set(GALLERY_DIR ${CMAKE_INSTALL_DATADIR}/${GALLERY})
 endif(CLICK_MODE)
 
+
 # for dh_translations to extract the domain
 # (regarding syntax consistency, see http://pad.lv/1181187)
 set (GETTEXT_PACKAGE "${GALLERY}")
+
+file(GLOB_RECURSE I18N_SRC_FILES
+     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
+     rc/**.qml desktop/**.desktop.in)
+list(SORT I18N_SRC_FILES)
 
 # Tests
 enable_testing()

=== click/CMakeLists.txt ===
if(CLICK_MODE)
    if(NOT BZR_REVNO)
        set(BZR_REVNO "latest")
    endif(NOT BZR_REVNO)
    configure_file(manifest.json.in ${CMAKE_CURRENT_BINARY_DIR}/manifest.json)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json
            DESTINATION ${CMAKE_INSTALL_PREFIX})
    install(FILES gallery-apparmor.json
            DESTINATION ${CMAKE_INSTALL_PREFIX})
endif(CLICK_MODE)

=== desktop/CMakeLists.txt ===
file(REMOVE ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE})
file(STRINGS ${DESKTOP_FILE}.in DESKTOP_FILE_CONTENTS)
foreach(LINE ${DESKTOP_FILE_CONTENTS})
    string(REGEX REPLACE "tr\\\(\"(.*)\"\\\)" "\\1" LINE "${LINE}")
    file(APPEND ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE} "${LINE}\n")
endforeach(LINE)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
        DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)

install(DIRECTORY icons/hicolor DESTINATION DESTINATION
        ${CMAKE_INSTALL_DATADIR}/icons FILES_MATCHING PATTERN *.png)
# ubuntu-mobile-icons already installs this file
#install(DIRECTORY icons/ubuntu-mobile DESTINATION DESTINATION
#        ${CMAKE_INSTALL_DATADIR}/icons FILES_MATCHING PATTERN *.png)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,6 @@
 add_subdirectory(database)
 add_subdirectory(event)
 add_subdirectory(media)
-add_subdirectory(photoeditor)
 add_subdirectory(medialoader)
 add_subdirectory(photo)
 add_subdirectory(qml)
@@ -27,7 +26,6 @@
     ${gallery_event_src_SOURCE_DIR}
     ${gallery_album_src_SOURCE_DIR}
     ${gallery_photo_src_SOURCE_DIR}
-    ${gallery_photoeditor_src_SOURCE_DIR}
     ${gallery_video_src_SOURCE_DIR}
     ${gallery_qml_src_SOURCE_DIR}
     ${CMAKE_BINARY_DIR}
@@ -52,7 +50,7 @@
     ${gallery_SRCS}
     )
 
-qt5_use_modules(${GALLERY} Widgets Core Qml Quick Sql DBus Gui)
+qt5_use_modules(${GALLERY} Widgets Core Qml Quick Sql)
 
 target_link_libraries( ${GALLERY}
     gallery-album
@@ -62,7 +60,6 @@
     gallery-media
     gallery-medialoader
     gallery-photo
-    gallery-photoeditor
     gallery-qml
     gallery-util
     gallery-video

=== src/album/CMakeLists.txt ===
project(gallery_album_src)

set(GALLERY_ALBUM_LIB gallery-album)

include_directories(
    ${gallery_core_src_SOURCE_DIR}
    # because of circulate dependencies the sub project can't be used directly
    # FIXME resolve the circulate dependencies
    ${gallery_src_SOURCE_DIR}/database
    ${gallery_src_SOURCE_DIR}/media
    ${gallery_util_src_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    )

set(gallery_album_HDRS
    album.h
    album-collection.h
    album-default-template.h
    album-page.h
    album-template.h
    album-template-page.h
    )

set(gallery_album_SRCS
    album.cpp
    album-default-template.cpp
    album-collection.cpp
    album-page.cpp
    album-template.cpp
    album-template-page.cpp
    )

add_library(${GALLERY_ALBUM_LIB}
    ${gallery_album_SRCS}
    )

qt5_use_modules(${GALLERY_ALBUM_LIB} Widgets Core Qml)

=== src/medialoader/CMakeLists.txt ===
project(gallery_medialoader_src)

set(GALLERY_MEDIALOADER_LIB gallery-medialoader)

include_directories(
    ${gallery_core_src_SOURCE_DIR}
    # because of circulate dependencies the sub project can't be used directly
    # FIXME resolve the circulate dependencies
    ${gallery_src_SOURCE_DIR}/media
    ${gallery_util_src_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${EXIV2_INCLUDEDIR}
    ${GSTLIB_INCLUDE_DIRS}
    ${MEDIAINFO_INCLUDE_DIR}
    )

set(gallery_medialoader_HDRS
    gallery-standard-image-provider.h
    gallery-thumbnail-image-provider.h
    photo-metadata.h
    preview-manager.h
    video-metadata.h
    )

set(gallery_medialoader_SRCS
    gallery-standard-image-provider.cpp
    gallery-thumbnail-image-provider.cpp
    photo-metadata.cpp
    preview-manager.cpp
    video-metadata.cpp
    )

string(REPLACE ";" " " OTHER_CFLAGS "${MEDIAINFO_CFLAGS_OTHER}")
set(CMAKE_CXX_FLAGS ${OTHER_CFLAGS})

add_library(${GALLERY_MEDIALOADER_LIB}
    ${gallery_medialoader_SRCS}
    )

qt5_use_modules(${GALLERY_MEDIALOADER_LIB} Core Quick)

target_link_libraries( ${GALLERY_MEDIALOADER_LIB}
    ${EXIV2_LIBRARIES}
    ${GSTLIB_LDFLAGS}
    ${MEDIAINFO_LIBRARIES}
    )

=== tests/unittests/CMakeLists.txt ===
add_subdirectory(command-line-parser)
add_subdirectory(gallerystandardimageprovider)
add_subdirectory(gallerythumbnailimageprovider)
add_subdirectory(imaging)
add_subdirectory(mediaobjectfactory)
add_subdirectory(resource)
add_subdirectory(video)

=== tests/unittests/gallerystandardimageprovider/CMakeLists.txt ===
add_definitions(-DTEST_SUITE)

if(NOT CTEST_TESTING_TIMEOUT)
    set(CTEST_TESTING_TIMEOUT 60)
endif()

include_directories(
    ${CMAKE_BINARY_DIR}
    ${gallery_src_SOURCE_DIR}
    ${gallery_core_src_SOURCE_DIR}
    ${gallery_media_src_SOURCE_DIR}
    ${gallery_medialoader_src_SOURCE_DIR}
    ${gallery_util_src_SOURCE_DIR}
    )

QT_WRAP_CPP(gallerystandardimageprovider GALLERYSTANDARDIMAGEPROVIDIER_MOCS
    ${gallery_medialoader_src_SOURCE_DIR}/preview-manager.h
    ${gallery_medialoader_src_SOURCE_DIR}/photo-metadata.h
    )

add_executable(gallerystandardimageprovider
    tst_gallerystandardimageprovidertest.cpp
    ${gallery_src_SOURCE_DIR}/medialoader/gallery-standard-image-provider.cpp
    ../stubs/orientation_stub.cpp
    ../stubs/preview-manager_stub.cpp
    ../stubs/photometa-data_stub.cpp
    ${GALLERYSTANDARDIMAGEPROVIDIER_MOCS}
    )

qt5_use_modules(gallerystandardimageprovider Quick Test)
add_test(gallerystandardimageprovider gallerystandardimageprovider
    -xunitxml -o test_gallerystandardimageprovider.xml
    )
set_tests_properties(gallerystandardimageprovider PROPERTIES
    TIMEOUT ${CTEST_TESTING_TIMEOUT}
    ENVIRONMENT "QT_QPA_PLATFORM=minimal"
    )

=== tests/unittests/gallerythumbnailimageprovider/CMakeLists.txt ===
add_definitions(-DTEST_SUITE)

if(NOT CTEST_TESTING_TIMEOUT)
    set(CTEST_TESTING_TIMEOUT 60)
endif()

include_directories(
    ${gallery_core_src_SOURCE_DIR}
    ${gallery_media_src_SOURCE_DIR}
    ${gallery_medialoader_src_SOURCE_DIR}
    ${gallery_util_src_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    )

QT_WRAP_CPP(gallerythumbnailimageprovider GALLERYTHUMBNAILIMAGEPROVIDIER_MOCS
    ${gallery_medialoader_src_SOURCE_DIR}/preview-manager.h
    )

add_executable(gallerythumbnailimageprovider
    tst_gallerythumbnailimageprovider.cpp
    ../stubs/preview-manager_stub.cpp
    ${gallery_src_SOURCE_DIR}/medialoader/gallery-thumbnail-image-provider.cpp
    ${GALLERYTHUMBNAILIMAGEPROVIDIER_MOCS}
    )

qt5_use_modules(gallerythumbnailimageprovider Quick Test)
add_test(gallerythumbnailimageprovider gallerythumbnailimageprovider
    -xunitxml -o test_gallerythumbnailimageprovider.xml
    )
set_tests_properties(gallerythumbnailimageprovider PROPERTIES
    TIMEOUT ${CTEST_TESTING_TIMEOUT}
    ENVIRONMENT "QT_QPA_PLATFORM=minimal"
    )

=== tests/unittests/mediaobjectfactory/CMakeLists.txt ===
--- 
+++ 
@@ -14,17 +14,19 @@
     ${gallery_media_src_SOURCE_DIR}
     ${gallery_medialoader_src_SOURCE_DIR}
     ${gallery_photo_src_SOURCE_DIR}
-    ${gallery_photoeditor_src_SOURCE_DIR}
     ${gallery_util_src_SOURCE_DIR}
     ${gallery_video_src_SOURCE_DIR}
     )
 
-QT5_WRAP_CPP(MEDIAOBJECTFACTORY_MOCS
+QT_WRAP_CPP(mediaobjectfactory MEDIAOBJECTFACTORY_MOCS
     ${gallery_src_SOURCE_DIR}/gallery-manager.h
     ${gallery_database_src_SOURCE_DIR}/album-table.h
     ${gallery_database_src_SOURCE_DIR}/database.h
     ${gallery_database_src_SOURCE_DIR}/media-table.h
-    ${gallery_photoeditor_src_SOURCE_DIR}/photo-metadata.h
+    ${gallery_database_src_SOURCE_DIR}/photo-edit-table.h
+    ${gallery_medialoader_src_SOURCE_DIR}/gallery-standard-image-provider.h
+    ${gallery_medialoader_src_SOURCE_DIR}/photo-metadata.h
+    ${gallery_medialoader_src_SOURCE_DIR}/preview-manager.h
     ${gallery_medialoader_src_SOURCE_DIR}/video-metadata.h
     ${gallery_photo_src_SOURCE_DIR}/photo.h
     )
@@ -36,9 +38,13 @@
     ../stubs/database_stub.cpp
     ../stubs/media-table_stub.cpp
     ../stubs/photo_stub.cpp
-    ../stubs/video_stub.cpp
+    ../stubs/photo-caches_stub.cpp
+    ../stubs/photo-edit-table_stub.cpp
     ../stubs/photometa-data_stub.cpp
+    ../stubs/preview-manager_stub.cpp
     ../stubs/video-metadata_stub.cpp
+    ../stubs/gallery-standard-image-provider_stub.cpp
+    ../stubs/gallery-thumbnail-image-provider_stub.cpp
     ../stubs/gallery-manager_stub.cpp
     ${MEDIAOBJECTFACTORY_MOCS}
     )
@@ -47,7 +53,7 @@
 add_test(mediaobjectfactory mediaobjectfactory -xunitxml -o test_video.xml)
 set_tests_properties(mediaobjectfactory PROPERTIES
     TIMEOUT ${CTEST_TESTING_TIMEOUT}
-    ENVIRONMENT "QT_QPA_PLATFORM=minimal;TZ=Pacific/Auckland"
+    ENVIRONMENT "QT_QPA_PLATFORM=minimal"
     )
 
 target_link_libraries(mediaobjectfactory

=== tests/unittests/video/CMakeLists.txt ===
--- 
+++ 
@@ -19,16 +19,20 @@
     ${gallery_media_src_SOURCE_DIR}
     ${gallery_medialoader_src_SOURCE_DIR}
     ${gallery_photo_src_SOURCE_DIR}
-    ${gallery_photoeditor_src_SOURCE_DIR}
     ${gallery_qml_src_SOURCE_DIR}
     ${gallery_util_src_SOURCE_DIR}
     ${gallery_video_src_SOURCE_DIR}
+    )
+
+QT_WRAP_CPP(mediaobjectfactory TST_VIDEO_MOCS
+    ${gallery_src_SOURCE_DIR}/content-communicator.h
     )
 
 add_executable(video
     tst_video.cpp
     ${gallery_src_SOURCE_DIR}/gallery-manager.cpp
     ${gallery_src_SOURCE_DIR}/media-object-factory.cpp
+    ../stubs/content-communicator_stub.cpp
     ${TST_VIDEO_MOCS}
     )
 
@@ -47,8 +51,8 @@
     gallery-media
     gallery-medialoader
     gallery-photo
-    gallery-photoeditor
     gallery-qml
     gallery-util
     gallery-video
+    "content-hub"
     )

## gallery-app 0.0.67+14.04.20140408.1

=== click/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,6 @@
     configure_file(manifest.json.in ${CMAKE_CURRENT_BINARY_DIR}/manifest.json)
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json
             DESTINATION ${CMAKE_INSTALL_PREFIX})
-    install(FILES gallery-apparmor.json
+    install(FILES gallery-apparmor.json gallery-content.json
             DESTINATION ${CMAKE_INSTALL_PREFIX})
 endif(CLICK_MODE)

=== desktop/CMakeLists.txt ===
if(CLICK_MODE)
    install(FILES gallery-app.svg DESTINATION
        ${CMAKE_INSTALL_DATADIR}/icons)
	set(ICON "${CMAKE_INSTALL_DATADIR}/icons/${GALLERY}.svg")
	set(APP_EXEC "./${GALLERY}")
else(CLICK_MODE)
    install(DIRECTORY icons/hicolor DESTINATION DESTINATION
            ${CMAKE_INSTALL_DATADIR}/icons FILES_MATCHING PATTERN *.png)
	set(APP_EXEC "${GALLERY}")
	set(ICON "${GALLERY}")
endif(CLICK_MODE)

file(REMOVE ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE})
file(STRINGS ${DESKTOP_FILE}.in DESKTOP_FILE_CONTENTS)
foreach(LINE ${DESKTOP_FILE_CONTENTS})
    string(REGEX REPLACE "tr\\\(\"(.*)\"\\\)" "\\1" LINE "${LINE}")
    string(CONFIGURE "${LINE}" LINE)
    file(APPEND ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE} "${LINE}\n")
endforeach(LINE)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
        DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)

=== po/CMakeLists.txt ===
project(gallery-translations)

include(FindGettext)
find_program(GETTEXT_XGETTEXT_EXECUTABLE xgettext)

set(DOMAIN ${GETTEXT_PACKAGE})
set(POT_FILE ${DOMAIN}.pot)
file(GLOB PO_FILES *.po)

add_custom_target(${POT_FILE}
                  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
                          -D ${CMAKE_SOURCE_DIR}
                          --from-code=UTF-8
                          --c++ --qt --add-comments=TRANSLATORS
                          --keyword=tr --keyword=tr:1,2
                          --package-name='${GALLERY}'
                          --copyright-holder='Canonical Ltd.'
                          ${I18N_SRC_FILES})

foreach(PO_FILE ${PO_FILES})
    get_filename_component(LANG ${PO_FILE} NAME_WE)
    gettext_process_po_files(${LANG} ALL PO_FILES ${PO_FILE})
    set(INSTALL_DIR ${CMAKE_INSTALL_LOCALEDIR}/${LANG}/LC_MESSAGES)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${LANG}.gmo
            DESTINATION ${INSTALL_DIR}
            RENAME ${DOMAIN}.mo)
endforeach(PO_FILE)

=== src/album/CMakeLists.txt ===
--- 
+++ 
@@ -36,3 +36,6 @@
 
 qt5_use_modules(${GALLERY_ALBUM_LIB} Widgets Core Qml)
 
+target_link_libraries( ${GALLERY_ALBUM_LIB}
+    gallery-core
+    )

=== src/database/CMakeLists.txt ===
project(gallery_database_src)

set(GALLERY_DATABASE_LIB gallery-database)

include_directories(
    # because of circulate dependencies the sub project can't be used directly
    # FIXME resolve the circulate dependencies
    ${gallery_src_SOURCE_DIR}/album
    ${gallery_core_src_SOURCE_DIR}
    ${gallery_src_SOURCE_DIR}/media
    ${gallery_src_SOURCE_DIR}/photo
    ${gallery_util_src_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    )

set(gallery_database_HDRS
    album-table.h
    database.h
    media-table.h
    photo-edit-table.h
    )

set(gallery_database_SRCS
    album-table.cpp
    database.cpp
    media-table.cpp
    photo-edit-table.cpp
    )

add_library(${GALLERY_DATABASE_LIB}
    ${gallery_database_SRCS}
    )

qt5_use_modules(${GALLERY_DATABASE_LIB} Widgets Core Qml Quick Sql)

=== src/medialoader/CMakeLists.txt ===
--- 
+++ 
@@ -16,17 +16,13 @@
 
 set(gallery_medialoader_HDRS
     gallery-standard-image-provider.h
-    gallery-thumbnail-image-provider.h
     photo-metadata.h
-    preview-manager.h
     video-metadata.h
     )
 
 set(gallery_medialoader_SRCS
     gallery-standard-image-provider.cpp
-    gallery-thumbnail-image-provider.cpp
     photo-metadata.cpp
-    preview-manager.cpp
     video-metadata.cpp
     )
 
@@ -43,4 +39,5 @@
     ${EXIV2_LIBRARIES}
     ${GSTLIB_LDFLAGS}
     ${MEDIAINFO_LIBRARIES}
+    gallery-util
     )

=== src/util/CMakeLists.txt ===
project(gallery_util_src)

set(GALLERY_UTIL_LIB gallery-util)

include_directories(
    ${gallery_src_BINARY_DIR}
    ${CMAKE_BINARY_DIR}
    )

set(gallery_util_HDRS
    collections.h
    command-line-parser.h
    imaging.h
    orientation.h
    resource.h
    variants.h
    )

set(gallery_util_SRCS
    command-line-parser.cpp
    imaging.cpp
    orientation.cpp
    resource.cpp
    )

add_library(${GALLERY_UTIL_LIB}
    ${gallery_util_SRCS}
    )

qt5_use_modules(${GALLERY_UTIL_LIB} Widgets Core)

if(CMAKE_SYSTEM_PROCESSOR MATCHES "^arm")
    set(GL_LIBRARIES ${GLESv2_LIBRARIES})
else()
    set(GL_LIBRARIES ${OPENGL_LIBRARIES})
endif()

target_link_libraries( ${GALLERY_UTIL_LIB}
    ${GL_LIBRARIES}
    )

=== tests/autopilot/CMakeLists.txt ===
set(AUTOPILOT_DIR gallery_app)

execute_process(COMMAND python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()"
    OUTPUT_VARIABLE PYTHON_PACKAGE_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)

if(INSTALL_TESTS)
install(DIRECTORY ${AUTOPILOT_DIR}
    DESTINATION ${PYTHON_PACKAGE_DIR}
    )
endif(INSTALL_TESTS)

include(${CMAKE_SOURCE_DIR}/cmake/autopilot.cmake)
declare_autopilot_test(GALLERY_APP=${gallery_src_BINARY_DIR}/gallery-app
    ${AUTOPILOT_DIR} ${CMAKE_CURRENT_SOURCE_DIR}
    )

=== tests/unittests/gallerystandardimageprovider/CMakeLists.txt ===
--- 
+++ 
@@ -13,8 +13,7 @@
     ${gallery_util_src_SOURCE_DIR}
     )
 
-QT_WRAP_CPP(gallerystandardimageprovider GALLERYSTANDARDIMAGEPROVIDIER_MOCS
-    ${gallery_medialoader_src_SOURCE_DIR}/preview-manager.h
+QT5_WRAP_CPP(GALLERYSTANDARDIMAGEPROVIDIER_MOCS
     ${gallery_medialoader_src_SOURCE_DIR}/photo-metadata.h
     )
 
@@ -22,7 +21,6 @@
     tst_gallerystandardimageprovidertest.cpp
     ${gallery_src_SOURCE_DIR}/medialoader/gallery-standard-image-provider.cpp
     ../stubs/orientation_stub.cpp
-    ../stubs/preview-manager_stub.cpp
     ../stubs/photometa-data_stub.cpp
     ${GALLERYSTANDARDIMAGEPROVIDIER_MOCS}
     )

=== tests/unittests/mediaobjectfactory/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
     ${gallery_video_src_SOURCE_DIR}
     )
 
-QT_WRAP_CPP(mediaobjectfactory MEDIAOBJECTFACTORY_MOCS
+QT5_WRAP_CPP(MEDIAOBJECTFACTORY_MOCS
     ${gallery_src_SOURCE_DIR}/gallery-manager.h
     ${gallery_database_src_SOURCE_DIR}/album-table.h
     ${gallery_database_src_SOURCE_DIR}/database.h
@@ -26,7 +26,6 @@
     ${gallery_database_src_SOURCE_DIR}/photo-edit-table.h
     ${gallery_medialoader_src_SOURCE_DIR}/gallery-standard-image-provider.h
     ${gallery_medialoader_src_SOURCE_DIR}/photo-metadata.h
-    ${gallery_medialoader_src_SOURCE_DIR}/preview-manager.h
     ${gallery_medialoader_src_SOURCE_DIR}/video-metadata.h
     ${gallery_photo_src_SOURCE_DIR}/photo.h
     )
@@ -38,13 +37,12 @@
     ../stubs/database_stub.cpp
     ../stubs/media-table_stub.cpp
     ../stubs/photo_stub.cpp
+    ../stubs/video_stub.cpp
     ../stubs/photo-caches_stub.cpp
     ../stubs/photo-edit-table_stub.cpp
     ../stubs/photometa-data_stub.cpp
-    ../stubs/preview-manager_stub.cpp
     ../stubs/video-metadata_stub.cpp
     ../stubs/gallery-standard-image-provider_stub.cpp
-    ../stubs/gallery-thumbnail-image-provider_stub.cpp
     ../stubs/gallery-manager_stub.cpp
     ${MEDIAOBJECTFACTORY_MOCS}
     )

## gallery-app 0.0.67+14.04.20140502-0ubuntu1

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,7 @@
     ENABLE_COVERAGE_REPORT(TARGETS ${SHELL_APP})
 endif()
 
+find_package(Qt5Core)
 find_package(Qt5Gui)
 find_package(Qt5Qml)
 find_package(Qt5Quick)
@@ -40,7 +41,6 @@
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(CONTENTHUB REQUIRED libcontent-hub)
 pkg_check_modules(EXIV2 REQUIRED exiv2)
-pkg_check_modules(GSTLIB REQUIRED gstreamer-0.10)
 pkg_check_modules(MEDIAINFO REQUIRED libmediainfo)
 
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Werror")
@@ -55,19 +55,21 @@
 set(DESKTOP_FILE ${GALLERY}.desktop)
 
 if(CLICK_MODE)
+    if(NOT DEFINED BZR_SOURCE)
+        set(BZR_SOURCE "lp:gallery-app")
+    endif(NOT DEFINED BZR_SOURCE)
     set(APP_PACKAGE_NAME "com.ubuntu.gallery")
     set(CMAKE_INSTALL_PREFIX /)
     set(CMAKE_INSTALL_BINDIR /)
     set(GALLERY_DIR "")
-    set(CLICK_TAG click)
+    set(GETTEXT_PACKAGE "${APP_PACKAGE_NAME}")
+    add_definitions("-DCLICK_MODE=1")
 else(CLICK_MODE)
     set(GALLERY_DIR ${CMAKE_INSTALL_DATADIR}/${GALLERY})
+	# for dh_translations to extract the domain
+	# (regarding syntax consistency, see http://pad.lv/1181187)
+	set (GETTEXT_PACKAGE "${GALLERY}")
 endif(CLICK_MODE)
-
-
-# for dh_translations to extract the domain
-# (regarding syntax consistency, see http://pad.lv/1181187)
-set (GETTEXT_PACKAGE "${GALLERY}")
 
 file(GLOB_RECURSE I18N_SRC_FILES
      RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}

=== src/photo/CMakeLists.txt ===
--- 
+++ 
@@ -8,17 +8,22 @@
     ${gallery_database_src_SOURCE_DIR}
     ${gallery_media_src_SOURCE_DIR}
     ${gallery_medialoader_src_SOURCE_DIR}
-    ${gallery_photoeditor_src_SOURCE_DIR}
     ${gallery_util_src_SOURCE_DIR}
     ${CMAKE_BINARY_DIR}
     )
 
 set(gallery_photo_HDRS
     photo.h
+    photo-caches.h
+    photo-edit-state.h
+    photo-edit-thread.h
     )
 
 set(gallery_photo_SRCS
     photo.cpp
+    photo-caches.cpp
+    photo-edit-state.cpp
+    photo-edit-thread.cpp
     )
 
 add_library(${GALLERY_PHOTO_LIB}

=== tests/unittests/CMakeLists.txt ===
add_subdirectory(command-line-parser)
add_subdirectory(gallerystandardimageprovider)
add_subdirectory(imaging)
add_subdirectory(mediamonitor)
add_subdirectory(mediaobjectfactory)
add_subdirectory(resource)
add_subdirectory(video)

=== tests/unittests/video/CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
     ${gallery_video_src_SOURCE_DIR}
     )
 
-QT_WRAP_CPP(mediaobjectfactory TST_VIDEO_MOCS
+QT5_WRAP_CPP(TST_VIDEO_MOCS
     ${gallery_src_SOURCE_DIR}/content-communicator.h
     )

=== debian/changelog ===
gallery-app (0.0.67+14.04.20140502-0ubuntu1) trusty; urgency=medium

  [ Bill Filler ]
  * disable sharing option on desktop (LP: #1311123)

  [ Arthur Mello ]
  * Make sure we do not monitor hidden directories (LP: #907870)
  * Make gallery does not create a new album if process is canceled (LP:
    #1300337)
  * Make sure gallery deletes all album content when it is requested.
    (LP: #1300344)
  * Change the page title so it does not show the app name. (LP:
    #1312123)
  * Fallback for date that file was created if no information about
    encoded date was found on video metadata (LP: #1314632)

  [ Richard Huddie ]
  * A new emulator method for selecting a specific photo from the picker
    view. A new test is also added to use this method and then click on
    the Pick button.

  [ Ugo Riboni ]
  * Show progress indicator while loading thumbnails in photo view (LP:
    #1295124)

 -- Bill Filler <bill.filler@canonical.com>  Fri, 02 May 2014 09:36:33 -0400

gallery-app (0.0.67+14.04.20140408.1-0ubuntu2) trusty; urgency=medium

  * debian/control: alternatively depend on the OpenGLES version of
    qtdeclarative5-qtmultimedia-plugin and qtdeclarative5-ubuntu-ui-toolkit-plugin

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 14 Apr 2014 17:18:47 -0300

gallery-app (0.0.67+14.04.20140408.1-0ubuntu1) trusty; urgency=low

  [ Bill Filler ]
  * skip broken test until root cause can be found

  [ Arthur Mello ]
  * Make sure that album cover will be not behind header at album edit
    screen (LP: #1294291)
  * Add unittest to check if only videos on the correct path are beeing
    added to gallery on device
  * Add an overlay play icon over Video preview on media navigation (LP:
    #1294282)
  * Apply a similar workaround to the one suggested by Zsombor to work
    around bug #1296832 to temporarily replace MouseAreas within
    PinchAreas (LP: #1296832, #1288695)

  [ Ugo Riboni ]
  * Fix album navigation, allowing to page all the way to the last page,
    and to close the album by paging to the cover. (LP: #1287355)
  * Apply a similar workaround to the one suggested by Zsombor to work
    around bug #1296832 to temporarily replace MouseAreas within
    PinchAreas (LP: #1296832, #1288695)
  * fix autopilot test

  [ Leo Arias ]
  * Properly override the toolkit toolbar autopilot helper.
  * On the autopilot helpers to click a toolbar button, check that the
    toolbar is opened first. (LP: #1302706)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 08 Apr 2014 18:51:30 +0000

gallery-app (0.0.67+14.04.20140328-0ubuntu1) trusty; urgency=low

  [ Bill Filler ]
  * change check for desktopMode to use platform name rather than env
    var

  [ Arthur Mello ]
  * Make sure that gallery will not be able to remove media files from
    disk if it finds any sort of inconsistency (LP: #1295344)
  * Make sure that videos placed out the video directory will be not
    displayed on devices (LP: #1296634)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 28 Mar 2014 15:34:43 +0000

gallery-app (0.0.67+14.04.20140325-0ubuntu1) trusty; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Arthur Mello ]
  * Make gallery-app only search for videos on the path where camera-app
    will save recording files on devices. (LP: #1296634)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 25 Mar 2014 22:49:08 +0000

gallery-app (0.0.67+14.04.20140321-0ubuntu1) trusty; urgency=low

  [ Ken VanDine ]
  * Updated to build against changes in content-hub

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 21 Mar 2014 00:32:38 +0000

gallery-app (0.0.67+14.04.20140319-0ubuntu1) trusty; urgency=low

  [ Barry Warsaw ]
  * Use pkg_resources API to retrieve sample_dir.

  [ Ugo Riboni ]
  * multiple gallery-app bug fixes Bug #907870: [desktop] Gallery does
    not display photos in sub folders, Bug #1221968: use libthumbnailer
    for gallery thumbnails, Bug #1268748: videos are not displayed when
    running on desktop, Bug #1271327: disable switching between camera
    and gallery on desktop, Bug #1287272: Black flash at the end of the
    zoom animation" (LP: #1221968, #1287272, #1268748, #907870,
    #1271327)

  [ Arthur Mello ]
  * multiple gallery-app bug fixes Bug #907870: [desktop] Gallery does
    not display photos in sub folders, Bug #1221968: use libthumbnailer
    for gallery thumbnails, Bug #1268748: videos are not displayed when
    running on desktop, Bug #1271327: disable switching between camera
    and gallery on desktop, Bug #1287272: Black flash at the end of the
    zoom animation" (LP: #1221968, #1287272, #1268748, #907870,
    #1271327)

  [ Bill Filler ]
  * updated framework version
  * multiple gallery-app bug fixes Bug #907870: [desktop] Gallery does
    not display photos in sub folders, Bug #1221968: use libthumbnailer
    for gallery thumbnails, Bug #1268748: videos are not displayed when
    running on desktop, Bug #1271327: disable switching between camera
    and gallery on desktop, Bug #1287272: Black flash at the end of the
    zoom animation" (LP: #1221968, #1287272, #1268748, #907870,
    #1271327)
  * fix blurry thumbnails when navigating photos

  [ CI bot ]
  * Resync trunk

  [ Sergio Schvezov ]
  * Fixing click launching

  [ Dimitri John Ledkov ]
  * Use pkg_resources API to retrieve sample_dir.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 19 Mar 2014 20:20:32 +0000

gallery-app (0.0.67+14.04.20140307-0ubuntu1) trusty; urgency=low

  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 07 Mar 2014 08:41:09 +0000

gallery-app (0.0.67+14.04.20140306-0ubuntu1) trusty; urgency=low

  [ Bill Filler ]
  * Click support

  [ Sergio Schvezov ]
  * Click support

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 06 Mar 2014 16:39:13 +0000



=== debian/control ===
Source: gallery-app
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               cmake,
               pkg-config,
               dh-translations,
               libcontent-hub-dev (>= 0.0+13.10.20130930.1),
               libexiv2-dev,
               libgl1-mesa-dev | libgl-dev,
               libgles2-mesa-dev,
               libmediainfo-dev,
               libqt5opengl5-dev,
               qt5-default,
               qtbase5-dev,
               qtdeclarative5-dev,
               python,
Standards-Version: 3.9.4
# If you don't have commit rights to lp:gallery-app but need to upload
# packaging changes, just go ahead.  The developers will notice and sync
# up the code again.
Vcs-Bzr: lp:gallery-app
Homepage: https://wiki.ubuntu.com/Touch/

Package: gallery-app
Architecture: any
Replaces: ubuntu-gallery
Conflicts: ubuntu-gallery
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qtdeclarative5-accounts-plugin,
         libqt5sql5-sqlite,
         qtdeclarative5-qtquick2-plugin,
         qtdeclarative5-qtmultimedia-plugin | qtdeclarative5-qtmultimedia-plugin-gles,
         qtdeclarative5-ubuntu-ui-toolkit-plugin | qtdeclarative5-ubuntu-ui-toolkit-plugin-gles,
         qtdeclarative5-ubuntu-ui-extras0.1 (>= 0.1+13.10.20130829-0ubuntu1),
         qtdeclarative5-window-plugin,
Description: Photo gallery for Ubuntu
 gallery-app is a photo gallery for the Ubuntu platform.

Package: gallery-app-autopilot
Architecture: all
Replaces: ubuntu-gallery-autopilot
Conflicts: ubuntu-gallery-autopilot
Depends: ${misc:Depends},
         gallery-app (>= ${source:Version}),
         libautopilot-qt (>= 1.4),
         libqt5test5,
         ubuntu-ui-toolkit-autopilot,
         unity8-autopilot,
         python-pkg-resources,
Description: Autopilot tests for the photo gallery for Ubuntu
 gallery-app is a photo gallery for the Ubuntu platform. This package contains
 autopilot tests for it.

=== debian/rules ===
#!/usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
export QT_QPA_PLATFORM = minimal

%:
	dh $@ --parallel --with translations

override_dh_install:
	dh_install --fail-missing

override_dh_translations:
	# Override dh_translations to work around http://pad.lv/1183262.
	# Unfortunately, the default build directory is not exposed
	# (see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=601774).
	$(MAKE) -C obj-$(DEB_HOST_GNU_TYPE) gallery-app.pot

## gallery-app 0.0.67+14.10.20141017

=== click/CMakeLists.txt ===
if(CLICK_MODE)
    if(NOT BZR_REVNO)
        set(BZR_REVNO "latest")
    endif(NOT BZR_REVNO)

    execute_process(
      COMMAND dpkg-architecture -qDEB_HOST_ARCH
      OUTPUT_VARIABLE CLICK_ARCH
      OUTPUT_STRIP_TRAILING_WHITESPACE
    )

    configure_file(manifest.json.in ${CMAKE_CURRENT_BINARY_DIR}/manifest.json)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json
            DESTINATION ${CMAKE_INSTALL_PREFIX})
    install(FILES gallery.apparmor gallery-content.json
            DESTINATION ${CMAKE_INSTALL_PREFIX})
endif(CLICK_MODE)

=== desktop/CMakeLists.txt ===
if(CLICK_MODE)
    install(FILES gallery-app.svg DESTINATION
        ${CMAKE_INSTALL_DATADIR}/icons)
	set(ICON "${CMAKE_INSTALL_DATADIR}/icons/${GALLERY}.svg")
	set(APP_EXEC "./${GALLERY}")
else(CLICK_MODE)
    install(DIRECTORY icons/hicolor DESTINATION DESTINATION
            ${CMAKE_INSTALL_DATADIR}/icons FILES_MATCHING PATTERN *.png)
	set(APP_EXEC "${GALLERY}")
	set(ICON "${GALLERY}")
endif(CLICK_MODE)

set(GALLERY_URL_DISPATCHER gallery-app.url-dispatcher)

configure_file(${DESKTOP_FILE}.in.in ${DESKTOP_FILE}.in @ONLY)
add_custom_target(${DESKTOP_FILE} ALL
                  COMMENT "Merging translations into ${DESKTOP_FILE}"
                  COMMAND ${INTLTOOL_MERGE} -d -u ${CMAKE_SOURCE_DIR}/po
                          ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in ${DESKTOP_FILE})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
        DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)

install(FILES ${GALLERY_URL_DISPATCHER}
    DESTINATION ${CMAKE_INSTALL_DATADIR}/url-dispatcher/urls
    )

=== src/medialoader/CMakeLists.txt ===
--- 
+++ 
@@ -35,6 +35,15 @@
 
 qt5_use_modules(${GALLERY_MEDIALOADER_LIB} Core Quick)
 
+if(CLICK_MODE)
+    set(EXIV2_LIBRARIES
+        ${CMAKE_EXE_LINK_STATIC_CXX_FLAGS}
+        ${EXIV2_STATIC_LIBRARIES}
+        -ldl
+        ${CMAKE_EXE_LINK_DYNAMIC_CXX_FLAGS})
+    install(FILES exiv2.copyright DESTINATION ${CMAKE_INSTALL_PREFIX})
+endif(CLICK_MODE)
+
 target_link_libraries( ${GALLERY_MEDIALOADER_LIB}
     ${EXIV2_LIBRARIES}
     ${GSTLIB_LDFLAGS}
